%define origname ufc

Name:           python-module-%origname
Version:        1.1.2
Release:        alt5.hg20090831
Summary:        Unified Form-assembly Code
Group:          Development/Python
License:        Public domain
URL:            http://www.fenics.org/ufc/
Source:        http://www.fenics.org/pub/software/ufc/v1.1/ufc-1.1.2.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel swig boost-devel gcc-c++ scons
%setup_python_module ufc

%description
UFC (Unified Form-assembly Code) is a unified framework for finite
element assembly. More precisely, it defines a fixed interface for
communicating low level routines (functions) for evaluating and
assembling finite element variational forms. The UFC interface
consists of a single header file ufc.h that specifies a C++ interface
that must be implemented by code that complies with the UFC
specification. Examples of form compilers that support the UFC
interface are FFC and SyFi.

%package -n %origname-devel
Summary: Development files for UFC
Group: Development/Other
Requires: %name = %version-%release

%description -n %origname-devel
UFC (Unified Form-assembly Code) is a unified framework for finite
element assembly. More precisely, it defines a fixed interface for
communicating low level routines (functions) for evaluating and
assembling finite element variational forms. The UFC interface
consists of a single header file ufc.h that specifies a C++ interface
that must be implemented by code that complies with the UFC
specification. Examples of form compilers that support the UFC
interface are FFC and SyFi.

This package contains development files for UFC.

%package -n %origname-manual
Summary: User manual for UFC
Group: Development/Documentation
BuildArch: noarch

%description -n %origname-manual
UFC (Unified Form-assembly Code) is a unified framework for finite
element assembly. More precisely, it defines a fixed interface for
communicating low level routines (functions) for evaluating and
assembling finite element variational forms. The UFC interface
consists of a single header file ufc.h that specifies a C++ interface
that must be implemented by code that complies with the UFC
specification. Examples of form compilers that support the UFC
interface are FFC and SyFi.

This package contains user manual for developers.

%prep
%setup

%build
scons
rm -f src/ufc/_ufc.so
g++ -shared -o src/ufc/_ufc.so src/ufc/ufc_wrap.os \
	-lpython%__python_version
pushd src/utils/python/ufc_benchmark
%python_build
popd

%install
scons install prefix=%buildroot%prefix
pushd src/utils/python/ufc_benchmark
CFLAGS="%optflags" python setup.py install \
	--root=%buildroot --optimize=2
popd

%ifarch x86_64
install -d %buildroot%_pkgconfigdir
mv %buildroot%_libexecdir/pkgconfig/* %buildroot%_pkgconfigdir
%endif

sed -i 's|%buildroot||' %buildroot%_pkgconfigdir/ufc-1.pc

install -d %buildroot%_docdir/%origname
install -p -m644 doc/manual/ufc-user-manual.pdf %buildroot%_docdir/%origname

%files
%doc AUTHORS ChangeLog README TODO
%python_sitelibdir/*

%files -n %origname-devel
%_includedir/*
%_pkgconfigdir/*

%files -n %origname-manual
%_docdir/%origname

%changelog
* Mon Aug 31 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt5.hg20090831
- Snapshot 20090831

* Wed Aug 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt5.hg20090819
- New snapshot

* Sun Jul 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt4
- Rebuild with SWIG 1.3.39

* Wed May 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt3
- Rebuild with gcc 4.4

* Sat Apr 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt2
- Add requirement on instant

* Fri Apr 24 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt1
- Initial build for Sisyphus
